Subject: Re: bug#27012: 26.0.50; eww does not generate Referer headers

From: Richard Stallman <[email-masked]>
Date: Mon, 22 May 2017 20:54:12 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > For users' privacy, we should not give real values for the referrer field,
  > > except in special cases.

  > What are those special cases?

I know of one: when page FOO uses Cloudflare, the Cloudflare CAPTCHA
page insists on getting FOO as a referrer.

I suppose there are others, but I only know of that one.

-- 
Dr Richard Stallman
President, Free Software Foundation (gnu.org, fsf.org)
Internet Hall-of-Famer (internethalloffame.org)
Skype: No way! See stallman.org/skype.html.